gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: NLnet task 5, get benchmark to


From: gnunet
Subject: [taler-deployment] branch master updated: NLnet task 5, get benchmark to complete.
Date: Thu, 27 Jul 2023 13:12:18 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 4b2f0f3  NLnet task 5, get benchmark to complete.
4b2f0f3 is described below

commit 4b2f0f326b839c7af7d9579d922adc3ea3a13e3f
Author: MS <ms@taler.net>
AuthorDate: Thu Jul 27 13:11:56 2023 +0200

    NLnet task 5, get benchmark to complete.
---
 nlnet/task5/performance/.start.sh.swp | Bin 0 -> 12288 bytes
 nlnet/task5/performance/Dockerfile    |   1 +
 nlnet/task5/performance/start.sh      |  28 +++++++++++++++-------------
 3 files changed, 16 insertions(+), 13 deletions(-)

diff --git a/nlnet/task5/performance/.start.sh.swp 
b/nlnet/task5/performance/.start.sh.swp
new file mode 100644
index 0000000..78df566
Binary files /dev/null and b/nlnet/task5/performance/.start.sh.swp differ
diff --git a/nlnet/task5/performance/Dockerfile 
b/nlnet/task5/performance/Dockerfile
index d0e1996..4daeaf0 100644
--- a/nlnet/task5/performance/Dockerfile
+++ b/nlnet/task5/performance/Dockerfile
@@ -66,4 +66,5 @@ WORKDIR /
 
 COPY start.sh /
 RUN apt-get install -y wget
+RUN apt-get install -y bc
 ENTRYPOINT ["/start.sh"]
diff --git a/nlnet/task5/performance/start.sh b/nlnet/task5/performance/start.sh
index e2ae44a..9ae2ada 100755
--- a/nlnet/task5/performance/start.sh
+++ b/nlnet/task5/performance/start.sh
@@ -26,7 +26,7 @@ export LD_LIBRARY_PATH=/usr/local/lib
 
 prepare_and_run () {
   taler-unified-setup.sh \
-    -Wemtns \
+    -Wwemtns \
     -c /exchange/src/benchmark/benchmark-cs.conf \
     -u exchange-account-2 &> /check_ready.txt &
   # Wait that the prep. went through.
@@ -47,18 +47,7 @@ prepare_and_run () {
     echo FAIL
     exit 1
   fi
-  NEXUS_PID=$(cat /libeufin-nexus.pid)
-  SANDBOX_PID=$(cat /libeufin-sandbox.pid)
-  
-  if test -z $NEXUS_PID; then
-    echo Could not find Nexus PID, failing.
-    exit 1
-  fi
-  
-  if test -z $SANDBOX_PID; then
-    echo Could not find Sandbox PID, failing.
-    exit 1
-  fi
+
   echo Running the benchmark..
   taler-exchange-benchmark \
     -c /exchange/src/benchmark/benchmark-cs.conf.edited \
@@ -71,6 +60,19 @@ prepare_and_run () {
 export -f prepare_and_run
 /usr/bin/time -o /benchmark-wall-clock-time.txt --format=%e bash -c 
"prepare_and_run"
 
+NEXUS_PID=$(cat /libeufin-nexus.pid)
+SANDBOX_PID=$(cat /libeufin-sandbox.pid)
+
+if test -z $NEXUS_PID; then
+  echo Could not find Nexus PID, failing.
+  exit 1
+fi
+
+if test -z $SANDBOX_PID; then
+  echo Could not find Sandbox PID, failing.
+  exit 1
+fi
+
 # Convert the wall clock time to milliseconds, to make
 # it compatible with the format as GREPped through Postgres logs.
 BENCHMARK_TOT_MS=$(awk -F. '{t=($1 * 1000 + $2 * 10)} END {print t}' 
/benchmark-wall-clock-time.txt)

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]